;
; AC, 28/07/2004
;
; This procedure read ONLY the first line of a version file
; which should contain the version number of the Sofware
;
; Know Problem: this is not working with GDL 0.8.8 because of FINDFILE
;
function AC_VERSION, filename, test=test
;
mess=AC_SETMESSAGES("AC_VERSION")
;
version_txt=''
;
result=FINDFILE(filename, count=count)
if (count NE 1) then begin
    print, mess.fatal+"No file found (expected filename is <<"+filename+">>)"
    version_txt="No versionning file found"
    return, version_txt
endif
;
GET_LUN, lun
OPENR, lun, filename
READF, lun, version_txt
CLOSE, lun
FREE_LUN, lun
;
if KEYWORD_SET(test) then begin
    print, mess.info, "Version file is: ", filename
    print, mess.info, "Version information is: (next line)"
    print, version_txt
endif
;
return, version_txt
end



